%{!?dotests: %define dotests 1}
%define name python3-boto3
%define srcname boto3
%define version 1.10.46
%define release 1

%define is_python %(test -e /usr/bin/python3_32 && echo 1 || echo 0)
%if %{is_python}
%define python_sitelib %(python3_32 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

%define _libdir64 %{_prefix}/lib64

%define is_python_64 %(test -e /usr/bin/python3_64 && echo 1 || echo 0)
%if %{is_python_64}
%define python_sitelib64 %(python3_64 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")
%endif

Summary: Code coverage measurement for Python
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRequires: python3 >= 3.7.4-1 , python3-devel >= 3.7.4-1
BuildRequires:  python3-botocore >= 1.13.46-1
BuildRequires:  python3-jmespath >= 0.9.4-1
BuildRequires:  python3-s3transfer >= 0.2.1-1
Requires:       python3-botocore >= 1.13.46-1
Requires:       python3-jmespath >= 0.9.4-1
Requires:       python3-s3transfer >= 0.2.1-1
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Ned Batchelder and others <ned@nedbatchelder.com>
Url: http://nedbatchelder.com/code/coverage
Requires: python3 >= 3.7.4-1

%description
Boto3 is the Amazon Web Services (AWS) Software Development
Kit (SDK) for Python, which allows Python developers to
write software that makes use of services like Amazon S3
and Amazon EC2.

%prep
%setup -n %{srcname}-%{version}

%build
export OBJECT_MODE=64
python3_64 setup.py build


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

python3_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

%if %{dotests}
%check
python3 setup.py test || true
%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Sun Jan 26 2020 Reshma V Kumar <reskumar@in.ibm.com> - 1.10.46-1
- Update to 1.10.46
- Build with python3

* Tue May 9 2017 Ravi Hirekurabar <rhirekur@in.ibm.com> -1.2.3-1 
- first version for AIX V6.1 and higher
